Description

| was trying provision a host on latest upstream build. Basically that setup is actually includes Foreman + Katello.

| was trying to provision a host on libvirt compute-resource and it failed with error:

Unable to save

Create DNS record for shost.lab.eng.png.redhat.com task failed with the following error: ERF12-2357 [ProxyAPI::ProxyException]:
Unable to set DNS entry ([RestClient::BadRequest]: 400 Bad Request) for proxy https://foreman_server:9090/dns

Version-Release number of selected component (if applicable):
foreman-1.10.0-0.develop.201509180916git04fa19d.el7.noarch
foreman-release-1.10.0-0.develop.201509180916git04fa19d.el7.noarch
foreman-libvirt-1.10.0-0.develop.201509180916git04fa19d.el7.noarch
katello-2.4.0-6.nightly.el7.noarch
katello-installer-base-2.4.0-1.nightly.201509040043qitb37b92b.el7.noarch
katello-installer-2.4.0-1.nightly.201509040043qitb37b92b.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. Provision a host on libvirt

Error from recent nightly:

E, [2015-09-23T03:20:01.964664 #27736] ERROR -- : Couldn't enable plugin dns: Unable to find dependency 'nsupdate’ of
'dns'.:/usr/share/foreman-proxy/lib/proxy/pluggable.rb:44:in "block in validate_prerequisites_enabled!
/usr/share/foreman-proxy/lib/proxy/pluggable.rb:42:in “each’
/usr/share/foreman-proxy/lib/proxy/pluggable.rb:42:in “validate_prerequisites_enabled!'
/usr/share/foreman-proxy/lib/proxy/pluggable.rb:38:in “validate!'
/usr/share/foreman-proxy/lib/proxy/plugin.rb:134:in “configure_plugin’
/usr/share/foreman-proxy/lib/proxy/plugin.rb:28:in “block in configure_loaded_plugins'
/usr/share/foreman-proxy/lib/proxy/plugin.rb:28:in “each'’
/usr/share/foreman-proxy/lib/proxy/plugin.rb:28:in “configure_loaded_plugins'
/usr/share/foreman-proxy/lib/launcher.rb:101:in “launch’
/usr/share/foreman-proxy/bin/smart-proxy:6:in “<main>'

| tried the workaround suggested by Dmitri Dolguikh (witlessb). | just uncommented dns_key in
/etc/foreman-proxy/settings.d/dns_nsupdate.yml and restarted the foreman-proxy and provisioning works again.

History

#1 - 10/06/2015 08:12 AM - Eric Helms
https://foreman_server:9090/dns
https://projects.theforeman.org/issues/27736

- translation missing: en.field_release set to 70

- Triaged changed from No to Yes

#2 - 11/19/2015 12:04 PM - Eric Helms

- translation missing: en.field_release changed from 70 to 86

#3 - 03/04/2016 02:41 PM - Stephen Benjamin

- Project changed from Katello to Installer

- Subject changed from Provisioning failed with error: ERF12-2357 [ProxyAPI::ProxyException]: Unable to set DNS entry ([RestClient::BadRequest]:
400 Bad Request) to Proxy can't load DNS feature: Couldn't enable plugin dns: Unable to find dependency ‘nsupdate’ of ‘dns'

- Category changed from Installer to Foreman modules

This wouldn't be a Katello issue

#4 - 03/07/2016 03:43 AM - Dominic Cleal
- Status changed from New to Rejected

- translation missing: en.field_release deleted (86)

Looks like your dns_provider isn't correctly set, it's missing the dns_ prefix. Perhaps a dupe of #12157.

05/18/2024 22


https://projects.theforeman.org/issues/12157
http://www.tcpdf.org

